## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class InstantiationExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.InstantiationExpImpl

All Implemented Interfaces:
  ImperativeExpression, InstantiationExp

    public class InstantiationExpImpl

extends ImperativeExpressionImpl
implements InstantiationExp

An implementation of the model object 'Instantiation Exp'.

The following features are implemented:

- `Argument`
- `Extent`
- `Instantiated Class`

Field Summary
`protected <any>` `argument` The cached value of the '`Argument`' containment reference list
`protected Variable` `extent` The cached value of the '`Extent`' reference
`protected EClass` `instantiatedClass` The cached value of the '`Instantiated Class`' reference

Constructor Summary
`protected` `InstantiationExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`Variable` `basicGetExtent()`
`EClass` `basicGetInstantiatedClass()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`<any>` `getArgument()`
`Variable` `getExtent()`
`EClass` `getInstantiatedClass()`
`void` `setExtent(Variable newExtent)`
`void` `setInstantiatedClass(EClass newInstantiatedClass)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### argument

    protected <any> argument

  The cached value of the '`Argument`' containment reference list.

  See Also:
    `getArgument()`

### extent

    protected Variable extent

  The cached value of the '`Extent`' reference.

  See Also:
    `getExtent()`

### instantiatedClass

    protected EClass instantiatedClass

  The cached value of the '`Instantiated Class`' reference.

  See Also:
    `getInstantiatedClass()`

Constructor Detail

### InstantiationExpImpl

    protected InstantiationExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getArgument

    public <any> getArgument()

  Specified by:
    `getArgument` in interface `InstantiationExp`
  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ImperativeOCLPackage.getInstantiationExp_Argument()`

### getExtent

    public Variable getExtent()

  Specified by:
    `getExtent` in interface `InstantiationExp`
  Returns:
    the value of the 'Extent' reference.
  See Also:
    `InstantiationExp.setExtent(Variable)`, `ImperativeOCLPackage.getInstantiationExp_Extent()`

### basicGetExtent

    public Variable basicGetExtent()

### setExtent

    public void setExtent(Variable newExtent)

  Specified by:
    `setExtent` in interface `InstantiationExp`
  Parameters:
    `newExtent` - the new value of the 'Extent' reference.
  See Also:
    `InstantiationExp.getExtent()`

### getInstantiatedClass

    public EClass getInstantiatedClass()

  Specified by:
    `getInstantiatedClass` in interface `InstantiationExp`
  Returns:
    the value of the 'Instantiated Class' reference.
  See Also:
    `InstantiationExp.setInstantiatedClass(EClass)`, `ImperativeOCLPackage.getInstantiationExp_InstantiatedClass()`

### basicGetInstantiatedClass

    public EClass basicGetInstantiatedClass()

### setInstantiatedClass

    public void setInstantiatedClass(EClass newInstantiatedClass)

  Specified by:
    `setInstantiatedClass` in interface `InstantiationExp`
  Parameters:
    `newInstantiatedClass` - the new value of the 'Instantiated Class' reference.
  See Also:
    `InstantiationExp.getInstantiatedClass()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.